%if %%adresse_ip_br0 != "127.0.0.1"
/sbin/iptables -t nat -A POSTROUTING -o eth0 -s %%adresse_network_br0/%%adresse_netmask_br0 -d 0.0.0.0/0.0.0.0 -j SNAT --to-source %%adresse_ip_eth0
/sbin/iptables -A INPUT -s %%adresse_network_br0/%%adresse_netmask_br0 -d %%adresse_ip_br0 -i br0 -p tcp -m tcp --dport 514 --tcp-flags FIN,SYN,RST,ACK SYN -j ACCEPT

/sbin/iptables -A INPUT -i br0 -m state --state RELATED,ESTABLISHED -j ACCEPT
/sbin/iptables -A FORWARD -i br0 -m state --state RELATED,ESTABLISHED -j ACCEPT
/sbin/iptables -A FORWARD -i eth0 -o br0 -m state --state RELATED,ESTABLISHED -j ACCEPT

/sbin/iptables -A cont-cont -m limit --limit 15/min -j LOG --log-prefix="DROP container->container: "
/sbin/iptables -A cont-cont -j DROP
/sbin/iptables -A FORWARD -i br0 -j cont-cont -d %%adresse_network_br0/%%adresse_netmask_br0

/sbin/iptables -A cont-root -m limit --limit 15/min -j LOG --log-prefix="DROP container->root: "
/sbin/iptables -A cont-root -j DROP
/sbin/iptables -A INPUT -i br0 -s %%adresse_network_br0/%%adresse_netmask_br0 -d %%adresse_ip_br0 -j cont-root

/sbin/iptables -A cont-wide  -m limit --limit 15/min -j LOG --log-prefix="DROP container->wide: "
/sbin/iptables -A cont-wide -j DROP
/sbin/iptables -A FORWARD -i br0 -j cont-wide

/sbin/iptables -A wide-wide -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A wide-wide -j DROP
/sbin/iptables -A FORWARD -i eth0 -o eth0 -j wide-wide

%end if

%if %%nombre_interfaces >= "2"
/sbin/iptables -A eth1-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth1-root -j DROP
/sbin/iptables -A INPUT -i eth1 -j eth1-root

/sbin/iptables -A eth0-eth1 -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth0-eth1 -j DROP
/sbin/iptables -A FORWARD -i eth0 -o eth1 -j eth0-eth1

/sbin/iptables -A eth1-eth0 -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth1-eth0 -j DROP
/sbin/iptables -A FORWARD -i eth1 -o eth0 -j eth1-eth0
%end if
%if %%nombre_interfaces >= "3"
/sbin/iptables -A eth2-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth2-root -j DROP
/sbin/iptables -A INPUT -i eth2 -j eth2-root
%end if
%if %%nombre_interfaces >= "4"
/sbin/iptables -A eth3-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth3-root -j DROP
/sbin/iptables -A INPUT -i eth3 -j eth3-root
%end if
%if %%nombre_interfaces >= "5"
/sbin/iptables -A eth4-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth4-root -j DROP
/sbin/iptables -A INPUT -i eth4 -j eth4-root
%end if

/sbin/iptables -A wide-root -m state --state ESTABLISHED,RELATED -j ACCEPT
#desactive les logs wide->root
#/sbin/iptables -A DROP_W2R  -m limit --limit 15/min -j LOG --log-prefix="DROP wide->root: "
/sbin/iptables -A wide-root -j DROP
/sbin/iptables -A INPUT -i eth0 -j wide-root
